"use client";
import parse, {domToReact} from "html-react-parser";

interface Props {
  content: any;
}

export default function Hero({content}: Props) {
  const options = {
    replace: (node: any) => {
      if (!node.attribs) {
        return;
      }
      if (node.name === "p") {
        return <p className="text-main">{domToReact(node.children, options)}</p>;
      }
    },
  };

  return (
    <section className="w-full px-5 lg:px-0 lg:w-2/5 mx-auto flex flex-col items-center text-center gap-5 py-5">
      <h1>{content.villa_name}</h1>
      <div>{parse(content.villa_desc, options)}</div>
    </section>
  );
}
